/* ========================================================================== */
/*                                                                            */
/*   Filename.c                                                               */
/*   (c) 2001 Author  E.Supler                                                          */
/*                                                                            */
/*   Description  AVR                                                         */
/*   LCD Display 16x2 LCD44780 + 74HC164 using 3 wires                                                                          */
/* ========================================================================== */
#include <avr/io.h>

#include <util/delay.h>



void lcd_init(void);
void lcd_send_char(uint8_t letter); //forms data ready to send
void sendCommand(uint8_t cmd); //forms data ready to send to 74HC164
void lcd_gotoxy(uint8_t x,uint8_t y);
void lcd_puts(const char *msg);
void lcd_puts_p(const uint8_t *FlashLoc);
void lcd_putint(int8_t val,int8_t field_length);

/***************************************************
	M A C R O S
***************************************************/
#define lcd_clear() sendCommand(0b00000001);
#define lcd_home() sendCommand(0b00000010);
#define lcd_move_left() sendCommand(0x10);
#define lcd_move_right() sendCommand(0x14);
#define lcd_putsxy(x,y,msg) {\
 lcd_gotoxy(x,y);\
 lcd_puts(msg);\
}

#define lcd_putintxy(x,y,val,fl) {\
 lcd_gotoxy(x,y);\
 lcd_putint(val,fl);\
}
#define lcd_puts_pxy(x,y,msg) {\
 lcd_gotoxy(x,y);\
 lcd_puts_p(msg);\
 }
